package com.gic.finance.web.utils;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.commons.util.EntityUtil;
import com.gic.commons.webapi.reponse.RestResponse;
import com.gic.finance.exception.FinanceException;

/**
 * controller统一返回工具类
 * @ClassName: ResultControllerUtils 
 * @Description:  
 * @author guojuxing 
 * @date 2019/8/9 5:12 PM 
 */
public class ResultControllerUtils {

    /**
     * 统一返回成功结果
     * @Title: commonResult 
     * @Description:
      * @author guojuxing
     * @param response 
     * @return  java.lang.Object 
      */
    public static RestResponse commonResult(ServiceResponse response) {
        if (response.isSuccess()) {
            return RestResponse.success(response.getResult());
        } else {
            throw new FinanceException(response);
        }
    }

    /**
     * 统一返回成功结果（分页DTO转为VO）
     * @Title: commonResultOfListVO 
     * @Description:
      * @author guojuxing
     * @param response
     * @param clazz 
     * @return  com.gic.commons.webapi.reponse.RestResponse 
      */
    public static RestResponse commonResult(ServiceResponse response, Class<?> clazz) {
        if (response.isSuccess()) {
            Page page = (Page) response.getResult();
            page.setResult(EntityUtil.changeEntityListNew(clazz, page.getResult()));
            return RestResponse.success(page);
        } else {
            throw new FinanceException(response);
        }
    }
}
